package com.zebrunner.reporting.service.exception;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum ExternalSystemError implements com.zebrunner.common.eh.error.ExternalSystemError {

    JIRA_ISSUE_CAN_NOT_BE_FOUND(2200),
    POSTGRES_VERSION_NOT_FOUND(2201),
    JENKINS_UNABLE_TO_GET_JOB_FROM_FOLDER(2202),
    JENKINS_UNABLE_TO_GET_JOB_BY_URL(2203),
    JENKINS_UNABLE_TO_GET_BUILD_FROM_JOB(2204),
    JENKINS_UNABLE_TO_ABORT_JOB(2205),
    GITHUB_CANNOT_RECOGNIZE_YOUR_AUTHORITY(2206),
    GITHUB_UNABLE_TO_OBTAIN_DEFAULT_BRANCH_NAME(2207),
    JENKINS_UNABLE_TO_GET_JOB_BUILD_DETAILS(2208),
    JENKINS_UNABLE_TO_BUILD_JOB_WITH_PARAMETERS(2209),
    JENKINS_UNABLE_TO_STOP_JOB(2210),
    JENKINS_UNABLE_TO_TERMINATE_JOB(2211),
    JENKINS_UNABLE_TO_GET_CONSOLE_OUTPUT_FROM_BUILD(2212),
    JENKINS_UNABLE_TO_GET_QUEUE_ITEM_BY_REFERENCE(2213),
    JENKINS_UNABLE_TO_GET_BUILD_OBJECT_BY_QUEUE_ITEM(2214),
    JENKINS_SERVER_INITIALIZATION_FAILED(2215),
    CANNOT_TO_SEND_CALLBACK_TO_URL(2216),
    UNABLE_CONNECT_TO_GITHUB(2217),
    GITHUB_UNABLE_TO_GET_ORGANIZATIONS(2218),
    GITHUB_UNABLE_TO_GET_REPOSITORIES(2219),
    JIRA_UNABLE_TO_SEARCH_ISSUES(2220),
    JIRA_UNABLE_TO_GET_ISSUE_BY_ID(2221);

    private final int code;

}
